homekit yahka kann nicht installiert werden

Fragen zu Konfiguration und Bedienung des ioBroker.vis Adapter
Antworten
saeft_2003
starter
Beiträge: 63
Registriert: 10.03.2018, 15:10

homekit yahka kann nicht installiert werden

Beitrag von saeft_2003 » 16.04.2018, 20:04

Hallo,

immer wenn ich verusche homekit zu installieren bricht er mit dem code 13 ab. Könnt ihr mir vielleicht weiterhelfen?
Spoiler: Show hidden text
obroker 2018-04-16 20:46:44.557 info exit 13
iobroker 2018-04-16 20:46:44.542 error host.raspberrypi Cannot install yahka
iobroker 2018-04-16 20:46:44.539 info host.raspberrypi install adapter yahka
iobroker 2018-04-16 20:46:44.496 info npm ERR! code 1
iobroker 2018-04-16 20:46:44.496 info Please include the following file with any support request:npm ERR! /opt/npm-debug.log
iobroker 2018-04-16 20:46:44.494 info npm ERR!
iobroker 2018-04-16 20:46:44.484 info
iobroker 2018-04-16 20:46:44.355 info npm ERR! There is likely additional logging output above.
iobroker 2018-04-16 20:46:44.353 info npm owner ls mdns
iobroker 2018-04-16 20:46:44.350 info npm ERR!
iobroker 2018-04-16 20:46:44.350 info npm ERR! Or if that isn't available, you can get their info via:
iobroker 2018-04-16 20:46:44.350 info npm ERR! npm bugs mdns
iobroker 2018-04-16 20:46:44.350 info npm ERR! You can get information on how to open an issue for this project with:
iobroker 2018-04-16 20:46:44.350 info npm ERR! node-gyp rebuild
iobroker 2018-04-16 20:46:44.350 info npm ERR! Tell the author that this fails on your system:
iobroker 2018-04-16 20:46:44.350 info npm ERR! not with npm itself.
iobroker 2018-04-16 20:46:44.350 info npm ERR! If you do, this is most likely a problem with the mdns package,
iobroker 2018-04-16 20:46:44.350 info ERR! Failed at the mdns@2.3.4 install script 'node-gyp rebuild'.npm ERR! Make sure you have the latest version of node.js and npm installed.
iobroker 2018-04-16 20:46:44.343 info npm
iobroker 2018-04-16 20:46:44.343 info npm ERR!
iobroker 2018-04-16 20:46:44.343 info npm ERR! Exit status 1
iobroker 2018-04-16 20:46:44.343 info npm ERR! mdns@2.3.4 install: `node-gyp rebuild`
iobroker 2018-04-16 20:46:44.343 info npm ERR! npm v3.10.10npm ERR! code ELIFECYCLE
iobroker 2018-04-16 20:46:44.337 info npm ERR! node v6.13.0
iobroker 2018-04-16 20:46:44.326 info ERR! Linux 4.9.59-v7+npm ERR! argv "/usr/bin/node" "/usr/bin/npm" "install" "iobroker.yahka" "--production" "--save" "--prefix" "/opt/iobroker"
iobroker 2018-04-16 20:46:44.324 info npm
iobroker 2018-04-16 20:46:44.316 info npm WARN optional SKIPPING OPTIONAL DEPENDENCY: not found: git
iobroker 2018-04-16 20:46:44.309 info WARN optional SKIPPING OPTIONAL DEPENDENCY: acme-v2@git+https://git.coolaj86.com/coolaj86/acme-v2.js.git#master (node_modules/greenlock/node_modules/acme-v2):
iobroker 2018-04-16 20:46:44.307 info npm
iobroker 2018-04-16 20:46:29.837 info gyp ERR! not ok
iobroker 2018-04-16 20:46:29.837 info gyp ERR! node-gyp -v v3.4.0
iobroker 2018-04-16 20:46:29.837 info gyp ERR! node -v v6.13.0
iobroker 2018-04-16 20:46:29.837 info gyp ERR! cwd /opt/iobroker/node_modules/mdns
iobroker 2018-04-16 20:46:29.837 info gyp ERR! command "/usr/bin/node" "/usr/lib/node_modules/npm/node_modules/node-gyp/bin/node-gyp.js" "rebuild"
iobroker 2018-04-16 20:46:29.837 info gyp ERR! System Linux 4.9.59-v7+
iobroker 2018-04-16 20:46:29.837 info stack at ChildProcess.emit (events.js:191:7)gyp ERR! stack at Process.ChildProcess._handle.onexit (internal/child_process.js:219:12)
iobroker 2018-04-16 20:46:29.827 info gyp ERR!
iobroker 2018-04-16 20:46:29.824 info ERR! stack at ChildProcess.onExit (/usr/lib/node_modules/npm/node_modules/node-gyp/lib/build.js:276:23)gyp ERR! stack at emitTwo (events.js:106:13)
iobroker 2018-04-16 20:46:29.815 info Error: `make` failed with exit code: 2gyp
iobroker 2018-04-16 20:46:29.812 info stack
iobroker 2018-04-16 20:46:29.810 info ERR!
iobroker 2018-04-16 20:46:29.808 info gyp
iobroker 2018-04-16 20:46:29.796 info
iobroker 2018-04-16 20:46:29.784 info build error
iobroker 2018-04-16 20:46:29.780 info ERR!
iobroker 2018-04-16 20:46:29.777 info
iobroker 2018-04-16 20:46:29.769 info gyp
iobroker 2018-04-16 20:46:29.752 info make: *** [Release/obj.target/dns_sd_bindings/src/dns_sd.o] Fehler 1
iobroker 2018-04-16 20:46:28.091 info compilation terminated.
iobroker 2018-04-16 20:46:28.091 info ^
iobroker 2018-04-16 20:46:28.091 info #include
iobroker 2018-04-16 20:46:28.091 info In file included from ../src/dns_sd.cpp:1:0:../src/mdns.hpp:32:20: fatal error: dns_sd.h: Datei oder Verzeichnis nicht gefunden
iobroker 2018-04-16 20:45:55.629 info ERR! git clone --template=/root/.npm/_git-remotes/_templates --mirror https://git.coolaj86.com/coolaj86/acme-v2.js.git /root/.npm/_git-remotes/git-https-git-coolaj86-com-coolaj86-acme-v2-js-git-maste
iobroker 2018-04-16 20:45:55.626 info git clone --template=/root/.npm/_git-remotes/_templates --mirror https://git.coolaj86.com/coolaj86/acme-v2.js.git /root/.npm/_git-remotes/git-https-git-coolaj86-com-coolaj86-acme-v2-js-git-master-ae
iobroker 2018-04-16 20:45:55.623 info ERR!
iobroker 2018-04-16 20:45:55.621 info
iobroker 2018-04-16 20:45:55.620 info npm
iobroker 2018-04-16 20:45:55.565 info npm WARN addRemoteGit at FSReqWrap.oncomplete (fs.js:123:15) code: 'ENOGIT' }
iobroker 2018-04-16 20:45:55.565 info npm WARN addRemoteGit at /usr/lib/node_modules/npm/node_modules/which/node_modules/isexe/access.js:8:5
iobroker 2018-04-16 20:45:55.565 info npm WARN addRemoteGit at /usr/lib/node_modules/npm/node_modules/which/node_modules/isexe/index.js:44:5
iobroker 2018-04-16 20:45:55.565 info npm WARN addRemoteGit at /usr/lib/node_modules/npm/node_modules/which/which.js:90:16
iobroker 2018-04-16 20:45:55.565 info addRemoteGit at F (/usr/lib/node_modules/npm/node_modules/which/which.js:69:19)npm WARN addRemoteGit at E (/usr/lib/node_modules/npm/node_modules/which/which.js:81:29)
iobroker 2018-04-16 20:45:55.563 info npm WARN
iobroker 2018-04-16 20:45:55.563 info npm WARN addRemoteGit at getNotFoundError (/usr/lib/node_modules/npm/node_modules/which/which.js:14:12)
iobroker 2018-04-16 20:45:55.563 info npm WARN addRemoteGit git+https://git.coolaj86.com/coolaj86/acme-v2.js.git#master resetting remote /root/.npm/_git-remotes/git-https-git-coolaj86-com-coolaj86-acme-v2-js-git-master-ae01e5d2 because o
iobroker 2018-04-16 20:45:55.563 info npm WARN addRemoteGit at FSReqWrap.oncomplete (fs.js:123:15)
iobroker 2018-04-16 20:45:55.563 info npm WARN addRemoteGit at /usr/lib/node_modules/npm/node_modules/which/node_modules/isexe/access.js:8:5
iobroker 2018-04-16 20:45:55.563 info npm WARN addRemoteGit at /usr/lib/node_modules/npm/node_modules/which/node_modules/isexe/index.js:44:5
iobroker 2018-04-16 20:45:55.563 info npm WARN addRemoteGit at /usr/lib/node_modules/npm/node_modules/which/which.js:90:16
iobroker 2018-04-16 20:45:55.563 info npm WARN addRemoteGit at E (/usr/lib/node_modules/npm/node_modules/which/which.js:81:29)
iobroker 2018-04-16 20:45:55.563 info npm WARN addRemoteGit at F (/usr/lib/node_modules/npm/node_modules/which/which.js:69:19)
iobroker 2018-04-16 20:45:55.563 info addRemoteGit Error: not found: gitnpm WARN addRemoteGit at getNotFoundError (/usr/lib/node_modules/npm/node_modules/which/which.js:14:12)
iobroker 2018-04-16 20:45:55.555 info
iobroker 2018-04-16 20:45:55.552 info WARN
iobroker 2018-04-16 20:45:55.550 info
iobroker 2018-04-16 20:45:55.546 info npm
iobroker 2018-04-16 20:45:18.732 info npm install iobroker.yahka --production --save --prefix "/opt/iobroker" (System call)
iobroker 2018-04-16 20:45:18.729 info NPM version: 3.10.10
iobroker 2018-04-16 20:45:11.075 info host.raspberrypi install adapter yahka
iobroker 2018-04-16 20:45:11.036 info npm ERR! Please include the following file with any support request:npm ERR! /opt/npm-debug.log
iobroker 2018-04-16 20:45:11.034 info
iobroker 2018-04-16 20:45:10.795 info npm ERR! There is likely additional logging output above.
iobroker 2018-04-16 20:45:10.795 info npm ERR! npm owner ls mdns
iobroker 2018-04-16 20:45:10.795 info ERR! npm bugs mdnsnpm ERR! Or if that isn't available, you can get their info via:
iobroker 2018-04-16 20:45:10.793 info npm
iobroker 2018-04-16 20:45:10.793 info npm ERR! You can get information on how to open an issue for this project with:
iobroker 2018-04-16 20:45:10.793 info npm ERR! node-gyp rebuild
iobroker 2018-04-16 20:45:10.793 info npm ERR! Tell the author that this fails on your system:
iobroker 2018-04-16 20:45:10.793 info ERR! If you do, this is most likely a problem with the mdns package,npm ERR! not with npm itself.
iobroker 2018-04-16 20:45:10.791 info
iobroker 2018-04-16 20:45:10.789 info npm
iobroker 2018-04-16 20:45:10.789 info npm ERR! Make sure you have the latest version of node.js and npm installed.
iobroker 2018-04-16 20:45:10.789 info npm ERR! Failed at the mdns@2.3.4 install script 'node-gyp rebuild'.
iobroker 2018-04-16 20:45:10.789 info npm ERR!
iobroker 2018-04-16 20:45:10.789 info npm ERR! Exit status 1
iobroker 2018-04-16 20:45:10.789 info npm ERR! mdns@2.3.4 install: `node-gyp rebuild`
iobroker 2018-04-16 20:45:10.789 info npm ERR! code ELIFECYCLE
iobroker 2018-04-16 20:45:10.786 info npm ERR! npm v3.10.10
iobroker 2018-04-16 20:45:10.786 info ERR! argv "/usr/bin/node" "/usr/bin/npm" "install" "iobroker.yahka" "--production" "--save" "--prefix" "/opt/iobroker"npm ERR! node v6.13.0
iobroker 2018-04-16 20:45:10.784 info npm
iobroker 2018-04-16 20:45:10.781 info ERR! Linux 4.9.59-v7+
iobroker 2018-04-16 20:45:10.780 info npm
iobroker 2018-04-16 20:45:10.774 info WARN optional SKIPPING OPTIONAL DEPENDENCY: acme-v2@git+https://git.coolaj86.com/coolaj86/acme-v2.js.git#master (node_modules/greenlock/node_modules/acme-v2):npm WARN optional SKIPPING OPTIONAL DEPEN
iobroker 2018-04-16 20:45:10.772 info npm
iobroker 2018-04-16 20:44:55.209 info gyp ERR! not ok
iobroker 2018-04-16 20:44:55.209 info gyp ERR! node-gyp -v v3.4.0
iobroker 2018-04-16 20:44:55.209 info gyp ERR! node -v v6.13.0
iobroker 2018-04-16 20:44:55.209 info gyp ERR! cwd /opt/iobroker/node_modules/mdns
iobroker 2018-04-16 20:44:55.209 info gyp ERR! command "/usr/bin/node" "/usr/lib/node_modules/npm/node_modules/node-gyp/bin/node-gyp.js" "rebuild"
iobroker 2018-04-16 20:44:55.209 info ERR! stack at Process.ChildProcess._handle.onexit (internal/child_process.js:219:12)gyp ERR! System Linux 4.9.59-v7+
iobroker 2018-04-16 20:44:55.202 info stack at ChildProcess.emit (events.js:191:7)gyp
iobroker 2018-04-16 20:44:55.199 info ERR!
iobroker 2018-04-16 20:44:55.196 info stack at emitTwo (events.js:106:13)gyp
iobroker 2018-04-16 20:44:55.194 info stack at ChildProcess.onExit (/usr/lib/node_modules/npm/node_modules/node-gyp/lib/build.js:276:23)gyp ERR!
iobroker 2018-04-16 20:44:55.190 info ERR!
iobroker 2018-04-16 20:44:55.188 info stack Error: `make` failed with exit code: 2gyp
iobroker 2018-04-16 20:44:55.186 info ERR!
iobroker 2018-04-16 20:44:55.183 info gyp
iobroker 2018-04-16 20:44:55.168 info ERR! build error
iobroker 2018-04-16 20:44:55.162 info
iobroker 2018-04-16 20:44:55.155 info gyp
iobroker 2018-04-16 20:44:55.146 info make: *** [Release/obj.target/dns_sd_bindings/src/dns_sd.o] Fehler 1
iobroker 2018-04-16 20:44:53.963 info compilation terminated.
iobroker 2018-04-16 20:44:53.963 info ^
iobroker 2018-04-16 20:44:53.963 info #include
iobroker 2018-04-16 20:44:53.963 info In file included from ../src/dns_sd.cpp:1:0:../src/mdns.hpp:32:20: fatal error: dns_sd.h: Datei oder Verzeichnis nicht gefunden
iobroker 2018-04-16 20:43:41.844 info localhost.daplie.me-certificates@1.3.5: this package has been deprecated
iobroker 2018-04-16 20:43:41.840 info WARN deprecated
iobroker 2018-04-16 20:43:41.839 info npm
iobroker 2018-04-16 20:43:41.720 info ERR! git clone --template=/root/.npm/_git-remotes/_templates --mirror https://git.coolaj86.com/coolaj86/acme-v2.js.git /root/.npm/_git-remotes/git-https-git-coolaj86-com-coolaj86-acme-v2-js-git-mast
iobroker 2018-04-16 20:43:41.718 info npm
iobroker 2018-04-16 20:43:41.611 info npm WARN addRemoteGit at FSReqWrap.oncomplete (fs.js:123:15) code: 'ENOGIT' }
iobroker 2018-04-16 20:43:41.611 info npm WARN addRemoteGit at /usr/lib/node_modules/npm/node_modules/which/node_modules/isexe/access.js:8:5
iobroker 2018-04-16 20:43:41.611 info at /usr/lib/node_modules/npm/node_modules/which/which.js:90:16npm WARN addRemoteGit at /usr/lib/node_modules/npm/node_modules/which/node_modules/isexe/index.js:44:5
iobroker 2018-04-16 20:43:41.604 info npm WARN addRemoteGit
iobroker 2018-04-16 20:43:41.604 info at F (/usr/lib/node_modules/npm/node_modules/which/which.js:69:19)npm WARN addRemoteGit at E (/usr/lib/node_modules/npm/node_modules/which/which.js:81:29)
iobroker 2018-04-16 20:43:41.597 info npm WARN addRemoteGit
iobroker 2018-04-16 20:43:41.597 info npm WARN addRemoteGit at getNotFoundError (/usr/lib/node_modules/npm/node_modules/which/which.js:14:12)
iobroker 2018-04-16 20:43:41.597 info npm WARN addRemoteGit git+https://git.coolaj86.com/coolaj86/acme-v2.js.git#master resetting remote /root/.npm/_git-remotes/git-https-git-coolaj86-com-coolaj86-acme-v2-js-git-master-ae01e5d2 because o
iobroker 2018-04-16 20:43:41.597 info npm WARN addRemoteGit at FSReqWrap.oncomplete (fs.js:123:15)
iobroker 2018-04-16 20:43:41.597 info npm WARN addRemoteGit at /usr/lib/node_modules/npm/node_modules/which/node_modules/isexe/access.js:8:5
iobroker 2018-04-16 20:43:41.597 info npm WARN addRemoteGit at /usr/lib/node_modules/npm/node_modules/which/node_modules/isexe/index.js:44:5
iobroker 2018-04-16 20:43:41.597 info npm WARN addRemoteGit at /usr/lib/node_modules/npm/node_modules/which/which.js:90:16
iobroker 2018-04-16 20:43:41.597 info npm WARN addRemoteGit at E (/usr/lib/node_modules/npm/node_modules/which/which.js:81:29)
iobroker 2018-04-16 20:43:41.597 info addRemoteGit at getNotFoundError (/usr/lib/node_modules/npm/node_modules/which/which.js:14:12)npm WARN addRemoteGit at F (/usr/lib/node_modules/npm/node_modules/which/which.js:69:19)
iobroker 2018-04-16 20:43:41.594 info WARN
iobroker 2018-04-16 20:43:41.590 info Error: not found: gitnpm
iobroker 2018-04-16 20:43:41.588 info WARN addRemoteGit
iobroker 2018-04-16 20:43:41.585 info npm
iobroker 2018-04-16 20:43:03.793 info npm install iobroker.yahka --production --save --prefix "/opt/iobroker" (System call)
iobroker 2018-04-16 20:43:03.791 info NPM version: 3.10.10
iobroker 2018-04-16 20:43:02.422 info host.raspberrypi install adapter yahka
iobroker 2018-04-16 20:43:02.342 info npm ERR! code 1
iobroker 2018-04-16 20:43:02.342 info npm ERR! Please include the following file with any support request:npm ERR! /opt/npm-debug.log
iobroker 2018-04-16 20:43:02.339 info
iobroker 2018-04-16 20:43:02.219 info There is likely additional logging output above.
iobroker 2018-04-16 20:43:02.217 info npm owner ls mdnsnpm ERR!
iobroker 2018-04-16 20:43:02.211 info npm ERR!
iobroker 2018-04-16 20:43:02.211 info npm ERR! Or if that isn't available, you can get their info via:
iobroker 2018-04-16 20:43:02.211 info npm ERR! npm bugs mdns
iobroker 2018-04-16 20:43:02.211 info npm ERR! You can get information on how to open an issue for this project with:
iobroker 2018-04-16 20:43:02.211 info npm ERR! node-gyp rebuild
iobroker 2018-04-16 20:43:02.211 info npm ERR! Tell the author that this fails on your system:
iobroker 2018-04-16 20:43:02.211 info npm ERR! If you do, this is most likely a problem with the mdns package,npm ERR! not with npm itself.
iobroker 2018-04-16 20:43:02.208 info npm ERR! Make sure you have the latest version of node.js and npm installed.
iobroker 2018-04-16 20:43:02.208 info npm ERR! Failed at the mdns@2.3.4 install script 'node-gyp rebuild'.
iobroker 2018-04-16 20:43:02.208 info npm ERR!
iobroker 2018-04-16 20:43:02.208 info npm ERR! Exit status 1
iobroker 2018-04-16 20:43:02.208 info npm ERR! mdns@2.3.4 install: `node-gyp rebuild`
iobroker 2018-04-16 20:43:02.208 info ERR! code ELIFECYCLE
iobroker 2018-04-16 20:43:02.205 info npm
iobroker 2018-04-16 20:43:02.205 info ERR! node v6.13.0npm ERR! npm v3.10.10
iobroker 2018-04-16 20:43:02.203 info npm
iobroker 2018-04-16 20:43:02.195 info ERR! Linux 4.9.59-v7+npm ERR! argv "/usr/bin/node" "/usr/bin/npm" "install" "iobroker.yahka" "--production" "--save" "--prefix" "/opt/iobroker"
iobroker 2018-04-16 20:43:02.193 info npm
iobroker 2018-04-16 20:43:02.187 info WARN optional SKIPPING OPTIONAL DEPENDENCY: acme-v2@git+https://git.coolaj86.com/coolaj86/acme-v2.js.git#master (node_modules/greenlock/node_modules/acme-v2):npm WARN optional SKIPPING OPTIONAL DEPEN
iobroker 2018-04-16 20:43:02.185 info npm
iobroker 2018-04-16 20:42:46.968 info gyp ERR! not ok
iobroker 2018-04-16 20:42:46.968 info gyp ERR! node-gyp -v v3.4.0
iobroker 2018-04-16 20:42:46.968 info gyp ERR! node -v v6.13.0
iobroker 2018-04-16 20:42:46.968 info command "/usr/bin/node" "/usr/lib/node_modules/npm/node_modules/node-gyp/bin/node-gyp.js" "rebuild"gyp ERR! cwd /opt/iobroker/node_modules/mdns
iobroker 2018-04-16 20:42:46.958 info ERR!
iobroker 2018-04-16 20:42:46.957 info gyp
iobroker 2018-04-16 20:42:46.955 info System Linux 4.9.59-v7+
iobroker 2018-04-16 20:42:46.954 info gyp ERR!
iobroker 2018-04-16 20:42:46.952 info at ChildProcess.emit (events.js:191:7)gyp ERR! stack at Process.ChildProcess._handle.onexit (internal/child_process.js:219:12)
iobroker 2018-04-16 20:42:46.946 info stack
iobroker 2018-04-16 20:42:46.941 info ERR!
iobroker 2018-04-16 20:42:46.940 info ERR! stack at emitTwo (events.js:106:13)gyp
iobroker 2018-04-16 20:42:46.932 info gyp
iobroker 2018-04-16 20:42:46.932 info ERR! stack Error: `make` failed with exit code: 2gyp ERR! stack at ChildProcess.onExit (/usr/lib/node_modules/npm/node_modules/node-gyp/lib/build.js:276:23)
iobroker 2018-04-16 20:42:46.925 info gyp
iobroker 2018-04-16 20:42:46.915 info ERR! build error
iobroker 2018-04-16 20:42:46.908 info gyp
iobroker 2018-04-16 20:42:46.906 info make: *** [Release/obj.target/dns_sd_bindings/src/dns_sd.o] Fehler 1
iobroker 2018-04-16 20:42:45.905 info compilation terminated.
iobroker 2018-04-16 20:42:45.903 info ^
iobroker 2018-04-16 20:42:45.903 info #include
iobroker 2018-04-16 20:42:45.903 info In file included from ../src/dns_sd.cpp:1:0:../src/mdns.hpp:32:20: fatal error: dns_sd.h: Datei oder Verzeichnis nicht gefunden
iobroker 2018-04-16 20:41:54.981 info npm ERR! git clone --template=/root/.npm/_git-remotes/_templates --mirror https://git.coolaj86.com/coolaj86/acme-v2.js.git /root/.npm/_git-remotes/git-https-git-coolaj86-com-coolaj86-acme-v2-js-git-m
iobroker 2018-04-16 20:41:54.893 info npm WARN addRemoteGit at FSReqWrap.oncomplete (fs.js:123:15) code: 'ENOGIT' }
iobroker 2018-04-16 20:41:54.893 info WARN addRemoteGit at /usr/lib/node_modules/npm/node_modules/which/node_modules/isexe/index.js:44:5npm WARN addRemoteGit at /usr/lib/node_modules/npm/node_modules/which/node_modules/isexe/acce
iobroker 2018-04-16 20:41:54.888 info npm WARN addRemoteGit at /usr/lib/node_modules/npm/node_modules/which/which.js:90:16npm
iobroker 2018-04-16 20:41:54.878 info npm WARN addRemoteGit at E (/usr/lib/node_modules/npm/node_modules/which/which.js:81:29)
iobroker 2018-04-16 20:41:54.878 info npm WARN addRemoteGit at F (/usr/lib/node_modules/npm/node_modules/which/which.js:69:19)
iobroker 2018-04-16 20:41:54.878 info npm WARN addRemoteGit at getNotFoundError (/usr/lib/node_modules/npm/node_modules/which/which.js:14:12)
iobroker 2018-04-16 20:41:54.878 info npm WARN addRemoteGit git+https://git.coolaj86.com/coolaj86/acme-v2.js.git#master resetting remote /root/.npm/_git-remotes/git-https-git-coolaj86-com-coolaj86-acme-v2-js-git-master-ae01e5d2 because o
iobroker 2018-04-16 20:41:54.878 info npm WARN addRemoteGit at FSReqWrap.oncomplete (fs.js:123:15)
iobroker 2018-04-16 20:41:54.878 info npm WARN addRemoteGit at /usr/lib/node_modules/npm/node_modules/which/node_modules/isexe/access.js:8:5
iobroker 2018-04-16 20:41:54.878 info npm WARN addRemoteGit at /usr/lib/node_modules/npm/node_modules/which/node_modules/isexe/index.js:44:5
iobroker 2018-04-16 20:41:54.878 info WARN addRemoteGit at E (/usr/lib/node_modules/npm/node_modules/which/which.js:81:29)npm WARN addRemoteGit at /usr/lib/node_modules/npm/node_modules/which/which.js:90:16
iobroker 2018-04-16 20:41:54.871 info WARN addRemoteGit at F (/usr/lib/node_modules/npm/node_modules/which/which.js:69:19)npm
iobroker 2018-04-16 20:41:54.862 info npm
iobroker 2018-04-16 20:41:54.862 info WARN addRemoteGit Error: not found: gitnpm WARN addRemoteGit at getNotFoundError (/usr/lib/node_modules/npm/node_modules/which/which.js:14:12)
iobroker 2018-04-16 20:41:54.853 info npm

eumats
professional
Beiträge: 273
Registriert: 24.09.2017, 09:04

Re: homekit yahka kann nicht installiert werden

Beitrag von eumats » 16.04.2018, 20:19


saeft_2003
starter
Beiträge: 63
Registriert: 10.03.2018, 15:10

Re: homekit yahka kann nicht installiert werden

Beitrag von saeft_2003 » 16.04.2018, 20:25

Ja auf der seite war ich schon. Den Befehl

sudo apt-get install libavahi-compat-libdnssd-dev

habe ich ausgeführt aber geändert hat es nichts. Was unter troubelshooting steht, da habe ich mich noch nicht rangewagt...

Benutzeravatar
apollon77
guru
Beiträge: 5210
Registriert: 10.04.2015, 12:27

Re: homekit yahka kann nicht installiert werden

Beitrag von apollon77 » 16.04.2018, 23:00

git musst Du auch noch installieren (apt-get install git)
How-to:
* Debug-Log für einen Adapter/Instanz einschalten? -> Instanzen -> Expertenomodus -> Spalte Loglevel

saeft_2003
starter
Beiträge: 63
Registriert: 10.03.2018, 15:10

Re: homekit yahka kann nicht installiert werden

Beitrag von saeft_2003 » 17.04.2018, 19:57

Apt-get install git habe ich gemacht, leider kam noch der gleiche fehler...

Jetzt habe ich node.js aktualisiert von 6.13 auf 8.11 und jetzt kommt egal welchen adapter ich installieren will:

Fertig mit Fehler!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!


Da das nicht so aussagekräftig ist wollte ich euch fragen ob ich etwas falsch gemacht habe?

Benutzeravatar
Homoran
guru
Beiträge: 12306
Registriert: 08.08.2014, 16:50

Re: homekit yahka kann nicht installiert werden

Beitrag von Homoran » 17.04.2018, 20:15

saeft_2003 hat geschrieben:
17.04.2018, 19:57
Jetzt habe ich node.js aktualisiert von 6.13 auf 8.11
und nicht auf die mitgelieferte npm-Version geachtet.
Wahrscheinlich 5.6.0 und muss >=5.7.1 sein, aktuell 5.8.0


Gruß
Rainer
kein Support per PN!
Fragen im Forum stellen - es gibt fast nichts, was nicht auch für andere interessant ist.

saeft_2003
starter
Beiträge: 63
Registriert: 10.03.2018, 15:10

Re: homekit yahka kann nicht installiert werden

Beitrag von saeft_2003 » 18.04.2018, 15:15

Homoran hat geschrieben:
17.04.2018, 20:15
saeft_2003 hat geschrieben:
17.04.2018, 19:57
Jetzt habe ich node.js aktualisiert von 6.13 auf 8.11
und nicht auf die mitgelieferte npm-Version geachtet.
Wahrscheinlich 5.6.0 und muss >=5.7.1 sein, aktuell 5.8.0


Gruß
Rainer
Hallo Rainer,

das hab ich jetzt gemacht und jetzt versucht er yahka wieder zu installieren es kommt aber wieder der Code 13. Die Einträge im Logbuch sehen aber anders aus.
Spoiler: Show hidden text
iobroker 2018-04-18 16:13:55.768 info exit 13
iobroker 2018-04-18 16:13:55.759 error host.raspberrypi Cannot install yahka
iobroker 2018-04-18 16:13:55.757 info host.raspberrypi install adapter yahka
iobroker 2018-04-18 16:13:55.728 info npm ERR! /root/.npm/_logs/2018-04-18T14_13_55_674Z-debug.log
iobroker 2018-04-18 16:13:55.728 info npm ERR! A complete log of this run can be found in:
iobroker 2018-04-18 16:13:55.647 info npm ERR! This is probably not a problem with npm. There is likely additional logging output above.
iobroker 2018-04-18 16:13:55.647 info npm ERR! Failed at the mdns@2.3.4 install script.
iobroker 2018-04-18 16:13:55.647 info npm ERR!
iobroker 2018-04-18 16:13:55.647 info npm ERR! mdns@2.3.4 install: `node-gyp rebuild`npm ERR! Exit status 1
iobroker 2018-04-18 16:13:55.641 info npm ERR! errno 1
iobroker 2018-04-18 16:13:55.639 info npm ERR! code ELIFECYCLE
iobroker 2018-04-18 16:13:49.229 info node-gyp -v v3.6.2gyp ERR! not ok
iobroker 2018-04-18 16:13:49.226 info gyp ERR!
iobroker 2018-04-18 16:13:49.226 info gyp ERR! node -v v8.11.1
iobroker 2018-04-18 16:13:49.226 info ERR! command "/usr/bin/node" "/usr/lib/node_modules/npm/node_modules/npm-lifecycle/node_modules/node-gyp/bin/node-gyp.js" "rebuild"gyp ERR! cwd /opt/iobroker/node_modules/mdns
iobroker 2018-04-18 16:13:49.225 info gyp ERR! System Linux 4.9.59-v7+gyp
iobroker 2018-04-18 16:13:49.223 info gyp ERR! stack at Process.ChildProcess._handle.onexit (internal/child_process.js:198:12)
iobroker 2018-04-18 16:13:49.223 info gyp ERR! stack at ChildProcess.emit (events.js:214:7)
iobroker 2018-04-18 16:13:49.223 info gyp ERR! stack at emitTwo (events.js:126:13)
iobroker 2018-04-18 16:13:49.223 info gyp ERR! stack Error: `make` failed with exit code: 2gyp ERR! stack at ChildProcess.onExit (/usr/lib/node_modules/npm/node_modules/npm-lifecycle/node_modules/node-gyp/lib/build.js:258:23)
iobroker 2018-04-18 16:13:49.219 info ERR! build error
iobroker 2018-04-18 16:13:49.218 info
iobroker 2018-04-18 16:13:49.216 info gyp
iobroker 2018-04-18 16:13:49.210 info make: *** [Release/obj.target/dns_sd_bindings/src/dns_sd.o] Fehler 1
iobroker 2018-04-18 16:13:48.854 info compilation terminated.
iobroker 2018-04-18 16:13:48.854 info ^
iobroker 2018-04-18 16:13:48.854 info #include
iobroker 2018-04-18 16:13:48.854 info In file included from ../src/dns_sd.cpp:1:0:../src/mdns.hpp:32:20: fatal error: dns_sd.h: Datei oder Verzeichnis nicht gefunden
iobroker 2018-04-18 16:12:52.557 info NPM version: 5.8.0npm install iobroker.yahka --production --save --prefix "/opt/iobroker" (System call)
iobroker 2018-04-18 16:12:51.354 info host.raspberrypi install adapter yahka
iobroker 2018-04-18 16:12:51.326 info npm ERR! /root/.npm/_logs/2018-04-18T14_12_50_982Z-debug.log
iobroker 2018-04-18 16:12:51.326 info npm ERR! A complete log of this run can be found in:
iobroker 2018-04-18 16:12:50.953 info npm ERR! This is probably not a problem with npm. There is likely additional logging output above.
iobroker 2018-04-18 16:12:50.953 info npm ERR! Failed at the mdns@2.3.4 install script.
iobroker 2018-04-18 16:12:50.953 info npm ERR!
iobroker 2018-04-18 16:12:50.953 info npm ERR! mdns@2.3.4 install: `node-gyp rebuild`npm ERR! Exit status 1
iobroker 2018-04-18 16:12:50.945 info npm ERR! errno 1
iobroker 2018-04-18 16:12:50.943 info npm ERR! code ELIFECYCLE
iobroker 2018-04-18 16:12:44.611 info gyp ERR! not ok
iobroker 2018-04-18 16:12:44.611 info gyp ERR! node-gyp -v v3.6.2
iobroker 2018-04-18 16:12:44.611 info gyp ERR! node -v v8.11.1
iobroker 2018-04-18 16:12:44.611 info gyp ERR! cwd /opt/iobroker/node_modules/mdns
iobroker 2018-04-18 16:12:44.611 info gyp ERR! command "/usr/bin/node" "/usr/lib/node_modules/npm/node_modules/npm-lifecycle/node_modules/node-gyp/bin/node-gyp.js" "rebuild"
iobroker 2018-04-18 16:12:44.611 info gyp ERR! System Linux 4.9.59-v7+
iobroker 2018-04-18 16:12:44.611 info gyp ERR! stack at Process.ChildProcess._handle.onexit (internal/child_process.js:198:12)
iobroker 2018-04-18 16:12:44.611 info gyp ERR! stack at ChildProcess.emit (events.js:214:7)
iobroker 2018-04-18 16:12:44.611 info gyp ERR! stack at emitTwo (events.js:126:13)
iobroker 2018-04-18 16:12:44.611 info gyp ERR! stack at ChildProcess.onExit (/usr/lib/node_modules/npm/node_modules/npm-lifecycle/node_modules/node-gyp/lib/build.js:258:23)
iobroker 2018-04-18 16:12:44.611 info gyp ERR! stack Error: `make` failed with exit code: 2
iobroker 2018-04-18 16:12:44.611 info make: *** [Release/obj.target/dns_sd_bindings/src/dns_sd.o] Fehler 1gyp ERR! build error
iobroker 2018-04-18 16:12:41.793 info compilation terminated.
iobroker 2018-04-18 16:12:41.793 info ^
iobroker 2018-04-18 16:12:41.793 info #include
iobroker 2018-04-18 16:12:41.793 info In file included from ../src/dns_sd.cpp:1:0:../src/mdns.hpp:32:20: fatal error: dns_sd.h: Datei oder Verzeichnis nicht gefunden
iobroker 2018-04-18 16:11:42.903 info npm install iobroker.yahka --production --save --prefix "/opt/iobroker" (System call)
iobroker 2018-04-18 16:11:42.902 info NPM version: 5.8.0
iobroker 2018-04-18 16:11:40.400 info host.raspberrypi install adapter yahka
iobroker 2018-04-18 16:11:40.334 info npm ERR! A complete log of this run can be found in:npm ERR! /root/.npm/_logs/2018-04-18T14_11_40_240Z-debug.log
iobroker 2018-04-18 16:11:40.333 info
iobroker 2018-04-18 16:11:40.217 info Failed at the mdns@2.3.4 install script.npm ERR! This is probably not a problem with npm. There is likely additional logging output above.
iobroker 2018-04-18 16:11:40.211 info npm ERR!
iobroker 2018-04-18 16:11:40.211 info npm ERR!
iobroker 2018-04-18 16:11:40.211 info npm ERR! Exit status 1
iobroker 2018-04-18 16:11:40.211 info npm ERR! mdns@2.3.4 install: `node-gyp rebuild`
iobroker 2018-04-18 16:11:40.211 info npm ERR! code ELIFECYCLEnpm ERR! errno 1
iobroker 2018-04-18 16:11:33.551 info gyp ERR! not ok
iobroker 2018-04-18 16:11:33.551 info gyp ERR! node-gyp -v v3.6.2
iobroker 2018-04-18 16:11:33.551 info gyp ERR! node -v v8.11.1
iobroker 2018-04-18 16:11:33.551 info gyp ERR! cwd /opt/iobroker/node_modules/mdns
iobroker 2018-04-18 16:11:33.551 info gyp ERR! command "/usr/bin/node" "/usr/lib/node_modules/npm/node_modules/npm-lifecycle/node_modules/node-gyp/bin/node-gyp.js" "rebuild"
iobroker 2018-04-18 16:11:33.551 info gyp ERR! System Linux 4.9.59-v7+
iobroker 2018-04-18 16:11:33.551 info gyp ERR! stack at Process.ChildProcess._handle.onexit (internal/child_process.js:198:12)
iobroker 2018-04-18 16:11:33.551 info gyp ERR! stack at ChildProcess.emit (events.js:214:7)
iobroker 2018-04-18 16:11:33.551 info gyp ERR! stack at emitTwo (events.js:126:13)
iobroker 2018-04-18 16:11:33.551 info gyp ERR! stack at ChildProcess.onExit (/usr/lib/node_modules/npm/node_modules/npm-lifecycle/node_modules/node-gyp/lib/build.js:258:23)
iobroker 2018-04-18 16:11:33.551 info ERR! build error gyp ERR! stack Error: `make` failed with exit code: 2
iobroker 2018-04-18 16:11:33.535 info gyp
iobroker 2018-04-18 16:11:33.525 info make: *** [Release/obj.target/dns_sd_bindings/src/dns_sd.o] Fehler 1
iobroker 2018-04-18 16:11:32.348 info compilation terminated.
iobroker 2018-04-18 16:11:32.348 info ^
iobroker 2018-04-18 16:11:32.348 info #include
iobroker 2018-04-18 16:11:32.348 info In file included from ../src/dns_sd.cpp:1:0:../src/mdns.hpp:32:20: fatal error: dns_sd.h: Datei oder Verzeichnis nicht gefunden
iobroker 2018-04-18 16:10:29.836 info npm install iobroker.yahka --production --save --prefix "/opt/iobroker" (System call)
iobroker 2018-04-18 16:10:28.862 info NPM version: 5.8.0
iobroker 2018-04-18 16:10:26.041 info add yahka
Kannst du mir sagen an was es liegt?

Benutzeravatar
Homoran
guru
Beiträge: 12306
Registriert: 08.08.2014, 16:50

Re: homekit yahka kann nicht installiert werden

Beitrag von Homoran » 18.04.2018, 16:26

saeft_2003 hat geschrieben:Kannst du mir sagen an was es liegt?
Leider nein, da kenne och mich zu wenig aus.
Aber ihm fehlt etwas.
saeft_2003 hat geschrieben:fatal error: dns_sd.h: Datei oder Verzeichnis nicht gefunden
Gruß Rainer
kein Support per PN!
Fragen im Forum stellen - es gibt fast nichts, was nicht auch für andere interessant ist.

eumats
professional
Beiträge: 273
Registriert: 24.09.2017, 09:04

Re: homekit yahka kann nicht installiert werden

Beitrag von eumats » 19.04.2018, 19:33

Google hat bei dem Fehler (dns_sd.h) folgendes ausgespuckt.

sudo apt-get install build-essential libavahi-compat-libdnssd-dev git

Antworten